Package org.apache.maven.shared.artifact.filter.resolve.transform

## Class EclipseAetherFilterTransformer

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.transform.EclipseAetherFilterTransformer

All Implemented Interfaces:
  `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`

    public class EclipseAetherFilterTransformer
    extends java.lang.Object
    implements FilterTransformer<org.eclipse.aether.graph.DependencyFilter>

FilterTransformer implementation for Eclipses Aether

Since:
  3.0
Author:
  Robert Scholte

### Constructor Summary

Constructors
`EclipseAetherFilterTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.aether.graph.DependencyFilter` `transform​(AbstractFilter filter)` Transform a custom filter to T specific implementation
`org.eclipse.aether.util.filter.AndDependencyFilter` `transform​(AndFilter andFilter)` Transform the andFilter to T specific implementation
`org.eclipse.aether.util.filter.ExclusionsDependencyFilter` `transform​(ExclusionsFilter filter)` Transform the exclusionsFilter to T specific implementation
`org.eclipse.aether.util.filter.OrDependencyFilter` `transform​(OrFilter orFilter)` Transform the orFilter to T specific implementation
`org.eclipse.aether.graph.DependencyFilter` `transform​(PatternExclusionsFilter filter)` Transform the patternExclusionsFilter to T specific implementation
`org.eclipse.aether.graph.DependencyFilter` `transform​(PatternInclusionsFilter filter)` Transform the paternInclusionsFilter to T specific implementation
`org.eclipse.aether.util.filter.ScopeDependencyFilter` `transform​(ScopeFilter filter)` Transform the scopeFilter to T specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EclipseAetherFilterTransformer

    public EclipseAetherFilterTransformer()

### Method Detail

#### transform

    public org.eclipse.aether.util.filter.AndDependencyFilter transform​(AndFilter andFilter)

Description copied from interface: `FilterTransformer`
Transform the andFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `andFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.util.filter.ExclusionsDependencyFilter transform​(ExclusionsFilter filter)

Description copied from interface: `FilterTransformer`
Transform the exclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.util.filter.OrDependencyFilter transform​(OrFilter orFilter)

Description copied from interface: `FilterTransformer`
Transform the orFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `orFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.util.filter.ScopeDependencyFilter transform​(ScopeFilter filter)

Description copied from interface: `FilterTransformer`
Transform the scopeFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.graph.DependencyFilter transform​(PatternExclusionsFilter filter)

Description copied from interface: `FilterTransformer`
Transform the patternExclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.graph.DependencyFilter transform​(PatternInclusionsFilter filter)

Description copied from interface: `FilterTransformer`
Transform the paternInclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.eclipse.aether.graph.DependencyFilter transform​(AbstractFilter filter)

Description copied from interface: `FilterTransformer`
Transform a custom filter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.eclipse.aether.graph.DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`